Subject: [MMUSIC] Rtspspec-bugs digest, Vol 1 #42 - 4 msgs

From: [email-masked]
Date: Fri, 07 Jun 2002 12:17:15 -0700

This is an automatic digest of bugs submitted and changed on the RTSP bug tracker.  To see a list of bugs, visit:

http://sf.net/projects/rtspspec

When replying, please make your Subject line more specific than "Re: Rtspspec-bugs digest"

Today's Topics:

   1. [ rtspspec-Bugs-563153 ] Appendix C: agg/non-agg mixup ([email-masked])
   2. [ rtspspec-Bugs-477404 ] Errors in table in chapter 12 ([email-masked])
   3. [ rtspspec-Bugs-477402 ] In text references point wrong ([email-masked])
   4. [ rtspspec-Bugs-477419 ] Update HTTP references ([email-masked])

--__--__--

Message: 1
To: [email-masked]
From: [email-masked]
Date: Thu, 06 Jun 2002 13:24:42 -0700
Subject: [rtspspec-bugs] [ rtspspec-Bugs-563153 ] Appendix C: agg/non-agg mixup

Bugs item #563153, was opened at 2002-05-31 18:42
You can respond by visiting: 
http://sourceforge.net/tracker/?func=detail&atid=377744&aid=563153&group_id=23194

Category: General
>Group: Fixed in CVS/Need WG Approval
Status: Open
Resolution: None
Priority: 5
Submitted By: Rob Lanphier (robla)
Assigned to: Rob Lanphier (robla)
Summary: Appendix C: agg/non-agg mixup

Initial Comment:
The initial descriptions of aggregate and non-aggregate
contol are reversed, and poorly written.

----------------------------------------------------------------------

>Comment By: Rob Lanphier (robla)
Date: 2002-06-06 13:24

Message:
Logged In: YES 
user_id=3796

It turns out this had already been fixed in the draft-00
version.  However, the wording was still very confusing. 
This has been fixed in the version checked into CVS.

http://cvs.sourceforge.net/cgi-bin/viewcvs.cgi/rtspspec/sdp.tex.diff?r1=1.3&r2=1.4

----------------------------------------------------------------------

You can respond by visiting: 
http://sourceforge.net/tracker/?func=detail&atid=377744&aid=563153&group_id=23194

--__--__--

Message: 2
To: [email-masked]
From: [email-masked]
Date: Fri, 07 Jun 2002 07:29:50 -0700
Subject: [rtspspec-bugs] [ rtspspec-Bugs-477404 ] Errors in table in chapter 12

Bugs item #477404, was opened at 2001-11-02 08:22
You can respond by visiting: 
http://sourceforge.net/tracker/?func=detail&atid=377744&aid=477404&group_id=23194

Category: None
Group: Fix for DS - Large task
Status: Open
Resolution: None
Priority: 5
Submitted By: Magnus Westerlund (magwes)
Assigned to: Nobody/Anonymous (nobody)
Summary: Errors in table in chapter 12

Initial Comment:
 Table with RTSP headers page 45, contains the following errors?:
  - A session header is not required when using describe.
  - Proxy Authenticate is missing all values on what it is.
  - The transport header is specifed as required in 12.0 table, but
    the text in 12.39 says it MAY be included in requests and responses.

----------------------------------------------------------------------

>Comment By: Magnus Westerlund (magwes)
Date: 2002-06-07 16:29

Message:
Logged In: YES 
user_id=302620

The table is update using the same structure as the new SIP
draft. This is available in CVS. There are still some
uncertainties in the table. So please review the table and
give comments.

----------------------------------------------------------------------

Comment By: Magnus Westerlund (magwes)
Date: 2002-02-06 14:20

Message:
Logged In: YES 
user_id=302620

The table is also missing the location header. 

----------------------------------------------------------------------

Comment By: David W. Walker (davidwwalker)
Date: 2002-01-28 23:41

Message:
Logged In: YES 
user_id=437905

RESOLUTION:  

The latest SIP draft has an equivalent table. It has been  
recommended that we evaluate this SIP table and unless 
someone objects and justifies the need to make a change 
let's adopt the SIP draft specification version. 

----------------------------------------------------------------------

Comment By: Rob Lanphier (robla)
Date: 2002-01-23 04:47

Message:
Logged In: YES 
user_id=3796

Here's a discrepency between the initial CVS checkin and RFC 2326
  12  Header Field Definitions (Table 3):
   Change from:
   Content-Type         r      req.      entity
   To:
   Content-Type        e    req.   SET_PARAMETER, ANNOUNCE

----------------------------------------------------------------------

Comment By: Rob Lanphier (robla)
Date: 2001-12-13 18:53

Message:
Logged In: YES 
user_id=3796

These are all good examples of what's wrong with this table.  We need to do an audit of the table, and we 
may restructure this table for clarity.  Suggestions for a new table format would be appreciated.

----------------------------------------------------------------------

You can respond by visiting: 
http://sourceforge.net/tracker/?func=detail&atid=377744&aid=477404&group_id=23194

--__--__--

Message: 3
To: [email-masked]
From: [email-masked]
Date: Fri, 07 Jun 2002 07:38:50 -0700
Subject: [rtspspec-bugs] [ rtspspec-Bugs-477402 ] In text references point wrong

Bugs item #477402, was opened at 2001-11-02 08:18
You can respond by visiting: 
http://sourceforge.net/tracker/?func=detail&atid=377744&aid=477402&group_id=23194

Category: None
Group: Fix for Draft Standard
>Status: Closed
Resolution: None
Priority: 5
Submitted By: Magnus Westerlund (magwes)
Assigned to: Nobody/Anonymous (nobody)
Summary: In text references point wrong

Initial Comment:
Several in text references are pointing to the wrong references list item.

----------------------------------------------------------------------

>Comment By: Magnus Westerlund (magwes)
Date: 2002-06-07 16:38

Message:
Logged In: YES 
user_id=302620

This will be automatically fixed by rerunning LATEX and
should not be a problem in the future. There is a small
possibility that some citations are pointing at the wrong
document. A eye should be keept open to check for this type
of errors. 

As these is something that should happend naturally in
future profreading this issue can be closed.  

----------------------------------------------------------------------

Comment By: Magnus Westerlund (magwes)
Date: 2001-12-14 08:47

Message:
Logged In: YES 
user_id=302620

It is not the actual references themself are wrong but the usage in the descripte text. For example, page 10 
HTTP-friendly. Here the PICS item uses reference 15, and 16, but should it not be reference 14 and 15 
instead. 

So my suggestion is to actually check alla [..] to see that they point to the correct reference.

----------------------------------------------------------------------

Comment By: Rob Lanphier (robla)
Date: 2001-12-13 18:08

Message:
Logged In: YES 
user_id=3796

Magnus, could you clarify which text references are wrong?

----------------------------------------------------------------------

You can respond by visiting: 
http://sourceforge.net/tracker/?func=detail&atid=377744&aid=477402&group_id=23194

--__--__--

Message: 4
To: [email-masked]
From: [email-masked]
Date: Fri, 07 Jun 2002 08:00:51 -0700
Subject: [rtspspec-bugs] [ rtspspec-Bugs-477419 ] Update HTTP references

Bugs item #477419, was opened at 2001-11-02 08:41
You can respond by visiting: 
http://sourceforge.net/tracker/?func=detail&atid=377744&aid=477419&group_id=23194

Category: None
Group: Fix for DS - Large task
Status: Open
Resolution: None
Priority: 5
Submitted By: Magnus Westerlund (magwes)
Assigned to: Nobody/Anonymous (nobody)
Summary: Update HTTP references

Initial Comment:
HTTP references
  RFC 2326 reference RFC 2068 which has been obsoleted by RFC 2616.
  How should you relate to the new RFC, and what to do with removed headers?

  Following things are missing in RFC2616
  - public header

----------------------------------------------------------------------

>Comment By: Magnus Westerlund (magwes)
Date: 2002-06-07 17:00

Message:
Logged In: YES 
user_id=302620

All references of type [Hx.y] are updated to point correctly
into RFC 2616. Any missing header from RFC 2068 has been
copied into the RTSP specification. 

There still remain possibilities that some change between
RFC 2616 and RFC 2068 may effect the protocol. See 19.6.3 in
RFC2616 for a list of changes. But so far nothing has been
found.

The security consideration chapter must be updated. The
reference through the nameing of security risk may be broken
as the Security chapter is heavily restrucutred in RFC 2616.

----------------------------------------------------------------------

Comment By: Magnus Westerlund (magwes)
Date: 2002-03-21 17:29

Message:
Logged In: YES 
user_id=302620

Also the content-base header is missing

----------------------------------------------------------------------

Comment By: Rob Lanphier (robla)
Date: 2001-12-14 05:04

Message:
Logged In: YES 
user_id=3796

Ok..now a much better category

----------------------------------------------------------------------

Comment By: Rob Lanphier (robla)
Date: 2001-12-13 18:59

Message:
Logged In: YES 
user_id=3796

Agreed.  Putting in the "Typo/Thinko" category because, even though it doesn't qualify as either, it's a rote 
change that someone with the time can just fix.

----------------------------------------------------------------------

You can respond by visiting: 
http://sourceforge.net/tracker/?func=detail&atid=377744&aid=477419&group_id=23194

End of Rtspspec-bugs Digest

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic